(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[      9802,        219]
NotebookOptionsPosition[     10131,        206]
NotebookOutlinePosition[     10729,        231]
CellTagsIndexPosition[     10686,        228]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
\:5186\:5468\:89d2\:306e\:5b9a\:7406\:306e\:9006\:3000\:70b9A, B, C\:3068\
\:540c\:4e00\:5186\:5468\:4e0a\:306b\:3042\:308b\:3088\:3046\:306b\:70b9P\
\:3092\:79fb\:52d5\:3055\:305b\:3088\:3002\
\>", "Subsubsection", "PluginEmbeddedContent",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`A$$ = 5.453804846631881, $CellContext`B$$ = 
    4.0149554112877555`, $CellContext`c0$$ = 0, $CellContext`c1$$ = 
    1, $CellContext`c2$$ = 0, $CellContext`CC$$ = 
    1.1300000000000001`, $CellContext`d$$ = 1, $CellContext`l$$ = 
    1, $CellContext`th$$ = 1, $CellContext`x$$ = {-1, 4}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`c0$$], 0, "\:5186"}, {0, 1}}, {{
       Hold[$CellContext`c1$$], 0, "\:5186\:70b9\:7dda"}, {0, 1}}, {{
       Hold[$CellContext`d$$], 0, "\:89d2\:5ea6"}, {0, 1}}, {{
       Hold[$CellContext`l$$], 0, "\:76f4\:7ddaAB"}, {0, 1}}, {
      Hold[$CellContext`CC$$], 0.3, 6.583185307179586}, {{
       Hold[$CellContext`c2$$], 0, "\:5186\:ff12"}, {0, 1}}, {{
       Hold[$CellContext`th$$], 0, 
       "\:5186\:5468\:89d2\:306e\n\:5b9a\:7406\:306e\:9006"}, {0, 1}}, {
      Hold[$CellContext`A$$], 0, 2 Pi}, {
      Hold[$CellContext`B$$], Pi, 3 Pi}, {{
       Hold[$CellContext`x$$], {-1, 4}}, Automatic}}, Typeset`size$$ = {
    504., {247., 257.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`c0$2096$$ = 
    False, $CellContext`c1$2097$$ = False, $CellContext`d$2098$$ = 
    False, $CellContext`l$2099$$ = False, $CellContext`CC$2100$$ = 
    0, $CellContext`c2$2101$$ = False, $CellContext`th$2102$$ = 
    False, $CellContext`A$2103$$ = 0, $CellContext`B$2104$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`A$$ = 0, $CellContext`B$$ = 
        Pi, $CellContext`c0$$ = 0, $CellContext`c1$$ = 0, $CellContext`c2$$ = 
        0, $CellContext`CC$$ = 0.3, $CellContext`d$$ = 0, $CellContext`l$$ = 
        0, $CellContext`th$$ = 0, $CellContext`x$$ = {-1, 4}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c0$$, $CellContext`c0$2096$$, False], 
        Hold[$CellContext`c1$$, $CellContext`c1$2097$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$2098$$, False], 
        Hold[$CellContext`l$$, $CellContext`l$2099$$, False], 
        Hold[$CellContext`CC$$, $CellContext`CC$2100$$, 0], 
        Hold[$CellContext`c2$$, $CellContext`c2$2101$$, False], 
        Hold[$CellContext`th$$, $CellContext`th$2102$$, False], 
        Hold[$CellContext`A$$, $CellContext`A$2103$$, 0], 
        Hold[$CellContext`B$$, $CellContext`B$2104$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        Graphics[{
          Thickness[0.009], 
          If[$CellContext`c0$$ == 1, {Pink, 
            Circle[{0, 0}, 3]}], 
          If[$CellContext`c1$$ == 1, {Red, Dotted, 
            Circle[{0, 0}, 3]}], {
           PointSize[Large], 
           Point[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}], 
           Point[{3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}], 
           Point[{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}]}, {
          Green, 
           
           Line[{$CellContext`x$$, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Green, 
           
           Line[{$CellContext`x$$, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}}]}, {Blue, 
           
           Line[{{3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]}, {
             3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}}]}, 
          If[$CellContext`d$$ == 1, {Red, 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[$CellContext`x$$ - {
                    3 Cos[$CellContext`A$$], 3 
                    Sin[$CellContext`A$$]}, $CellContext`x$$ - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[$CellContext`x$$ - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[$CellContext`x$$ - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], $CellContext`x$$ + {0, 0.5}], 
            Text[
             Style[
             Round[180 (
                 ArcCos[Dot[{
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}, {
                    3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}]/(
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}] 
                   Norm[{3 Cos[$CellContext`CC$$], 3 
                    Sin[$CellContext`CC$$]} - {
                    3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}])]/Pi)] 
              "\[Degree]", Large], {
              3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
              0, 0.5}]}], 
          Text[
           Style["P", Large], $CellContext`x$$ + {0.5, -0.5}], 
          Text[
           Style[
           "A", Large], {3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "B", Large], {3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} + {
            0.3, -0.4}], 
          Text[
           Style[
           "C", Large], {
            3 Cos[$CellContext`CC$$], 3 Sin[$CellContext`CC$$]} + {
            0.5, -0.5}], 
          If[$CellContext`l$$ == 1, {Pink, 
            
            Line[{{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} - 
              5 ({3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]}), {
               3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + 
              5 ({3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]} - {
                3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]})}]}], 
          If[$CellContext`c2$$ == 1, {Pink, 
            Circle[{3 Cos[$CellContext`A$$], 3 Sin[$CellContext`A$$]} + {
              3 Cos[$CellContext`B$$], 3 Sin[$CellContext`B$$]}, 3]}], 
          If[$CellContext`th$$ == 1, {
            Text[
             Style[
             "\:5186\:5468\:89d2\:306e\:5b9a\:7406\:306e\:9006\n2\:70b9C,P\
\:304c\:76f4\:7ddaAB\:306b\:3064\:3044\:3066\:540c\:3058\:5074\n\:306b\:3042\
\:308a\:3000\:3000\[Angle]APB=\[Angle]ACP\:3000\:3000\:306a\:3089\:3070\n 4\
\:70b9A,B,C,P\:306f\:540c\:4e00\:5186\:5468\:4e0a\:306b\:3042\:308b\:3002", 
              Large], {2, -7}], {
             Opacity[0.2], Yellow, 
             Polygon[{{-5, -10}, {-5, -4}, {10, -4}, {10, -10}}]}}]}], 
        PlotRange -> {{-5, 10}, {-10, 5}}, AspectRatio -> Automatic], 
      "Specifications" :> {{{$CellContext`c0$$, 0, "\:5186"}, {0, 
         1}}, {{$CellContext`c1$$, 0, "\:5186\:70b9\:7dda"}, {0, 
         1}}, {{$CellContext`d$$, 0, "\:89d2\:5ea6"}, {0, 
         1}}, {{$CellContext`l$$, 0, "\:76f4\:7ddaAB"}, {0, 
         1}}, {$CellContext`CC$$, 0.3, 
         6.583185307179586}, {{$CellContext`c2$$, 0, "\:5186\:ff12"}, {0, 
         1}}, {{$CellContext`th$$, 0, 
          "\:5186\:5468\:89d2\:306e\n\:5b9a\:7406\:306e\:9006"}, {0, 
         1}}, {$CellContext`A$$, 0, 2 Pi}, {$CellContext`B$$, Pi, 3 
         Pi}, {{$CellContext`x$$, {-1, 4}}, Automatic, ControlType -> 
         Locator}}, 
      "Options" :> {ControlPlacement -> Left, ImageSize -> Large}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{950., {292., 301.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{1011, 651},
WindowMargins->{{169, Automatic}, {Automatic, 8}},
Visible->True,
AuthoredSize->{1011, 652},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification:>1.4 Inherited,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 286, 5, 60, "Subsubsection"],
Cell[1775, 42, 8340, 161, 595, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature Wu0Fm85hGturtB1x@5qlCqfZ *)
